Quote Originally Posted by kwinnie View Post
shud be compatible with your device as well. as it is "BDP3200 /05, /12, /51, /55, /79, /93, /94, /96, /98, X/05, X/12, X/77, X/78- V1.73_V2.38"
you shud have a v1.73 to be upgraded... what version you hv now?
Yes, I currently have 1.73. When I download the update there are 3 .bin files, I put all 3 onto to the USB drive, is this correct?

Thanks for your help!